import PIL
from PIL import Image, ImageOps
from lib import *

with Image.open("data/muva_mini.jpg") as img:
    img.load()

def contrast_brightness( img, c, b ):
    return img.point( lambda x: x * c + b )

def img_range( img, min, max ):
    return contrast_brightness( img, 255.0/(max-min), -min * 255.0/(max-min))

tile( 
    img,
    contrast_brightness( img, 1.4545, -23 ),
    img_range( img, 16, 192 ),
    contrast_brightness( img, 2.37, -76 ),
    img_range( img, 32, 140 )
).show()
